package com.miaxis.app.feign;


import com.miaxis.app.school.domain.SchoolInfo;
import com.miaxis.common.core.page.ResponsePageInfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.io.File;

@FeignClient(name="qgptService",
        url = "${feign.qgpt_ipport}")

public interface IQgptService {
    @RequestMapping(value = "/top/stuimg", method = RequestMethod.POST)
    ResponsePageInfo<SchoolInfo> imageup(@RequestParam("v" ) String version,
                                         @RequestParam("ts" ) Long timestamp,
                                         @RequestParam("user" ) String serialNumber,
                                         @RequestParam("sign" ) String sign,
                                         @RequestBody File[] Files);

}
